Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.soa.esb.listeners.lifecycle
Enum ManagedLifecycleState

    java.lang.Object
      java.lang.Enum<ManagedLifecycleState>
          org.jboss.soa.esb.listeners.lifecycle.ManagedLifecycleState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ManagedLifecycleState>

    public enum ManagedLifecycleState

extends java.lang.Enum<ManagedLifecycleState>

This enumeration represents the lifecycle state of a managed instance.

Allowable transitions are as follows

Originating state | New states
--- | ---
CONSTRUCTED | INITIALISING
INITIALISING | INITIALISED, DESTROYED
INITIALISED | STARTING, DESTROYED
STARTING | STARTED, STOPPED
STARTED | RUNNING, STOPPING
RUNNING | STOPPING
STOPPING | STOPPED
STOPPED | STARTING, DESTROYING
DESTROYING | DESTROYED

Author:
  kevin

Enum Constant Summary
`CONSTRUCTED`
`DESTROYED`
`DESTROYING`
`INITIALISED`
`INITIALISING`
`RUNNING`
`STARTED`
`STARTING`
`STOPPED`
`STOPPING`

Method Summary
`abstract boolean` | `canTransition(ManagedLifecycleState newState)`
`static ManagedLifecycleState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ManagedLifecycleState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONSTRUCTED

    public static final ManagedLifecycleState CONSTRUCTED

### INITIALISING

    public static final ManagedLifecycleState INITIALISING

### INITIALISED

    public static final ManagedLifecycleState INITIALISED

### STARTING

    public static final ManagedLifecycleState STARTING

### STARTED

    public static final ManagedLifecycleState STARTED

### RUNNING

    public static final ManagedLifecycleState RUNNING

### STOPPING

    public static final ManagedLifecycleState STOPPING

### STOPPED

    public static final ManagedLifecycleState STOPPED

### DESTROYING

    public static final ManagedLifecycleState DESTROYING

### DESTROYED

    public static final ManagedLifecycleState DESTROYED

Method Detail

### values

    public static final ManagedLifecycleState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ManagedLifecycleState c : ManagedLifecycleState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ManagedLifecycleState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### canTransition

    public abstract boolean canTransition(ManagedLifecycleState newState)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD